# Namespace goog.debug.entryPointRegistry

code »
Show:Public Protected Private

## Global Functions

code »goog.debug.entryPointRegistry.monitorAll ( monitor )

Configures a monitor to wrap all entry points. Entry points that have already been registered are immediately wrapped by the monitor. When an entry point is registered in the future, it will also be wrapped by the monitor when it is registered.

Parameters

monitor: `!goog.debug.EntryPointMonitor`
  An entry point monitor.

code »goog.debug.entryPointRegistry.register ( callback )

Register an entry point with this module. The entry point will be instrumented when a monitor is passed to goog.debug.entryPointRegistry.monitorAll. If this has already occurred, the entry point is instrumented immediately.

Parameters

callback: `function(!Function)`
  A callback function which is called with a transforming function to instrument the entry point. The callback is responsible for wrapping the relevant entry point with the transforming function.

code »goog.debug.entryPointRegistry.unmonitorAllIfPossible ( monitor )

Try to unmonitor all the entry points that have already been registered. If an entry point is registered in the future, it will not be wrapped by the monitor when it is registered. Note that this may fail if the entry points have additional wrapping.

Parameters

monitor: `!goog.debug.EntryPointMonitor`
  The last monitor to wrap the entry points.

Throws

`Error`
  If the monitor is not the most recently configured monitor.

## Global Properties

code »goog.debug.entryPointRegistry.monitorsMayExist_ : `boolean`

Whether goog.debug.entryPointRegistry.monitorAll has ever been called. Checking this allows the compiler to optimize out the registrations.

code »goog.debug.entryPointRegistry.monitors_ : `!Array`

Monitors that should wrap all the entry points.

code »goog.debug.entryPointRegistry.refList_ : `!Array`

An array of entry point callbacks.